package com.bc_chat.bc_base.contract

import com.bc_chat.bc_base.entity.ApkVersion
import com.zhaohaoting.framework.abs.contract.BaseContract

/**
 * author：Created by zhaohaoting on 2019/3/5
 * email：526309416@qq.com
 * desc：
 */
interface UpdateVersonContract {

    interface Presenter {

        fun getUpdateVerson(isShowDialog: Boolean? = false)
    }

    interface View : BaseContract.BaseView {

        fun getUpdateVersonSuccess(verson: ApkVersion)

        fun getUpdateVersonFailure(e: Exception)
    }
}
